10 ' ============ ::::::::   EMPARG :::::::: ==============================
   '
   ' :::::::  ANALISIS DE VENTAS
   '
   ' SISTEMAS SIERRA SA DE CV                    CREAR ARCHIVO EMPRESA.ARG
   ' 01-ABR-2004 1800  creaci˘n inicial del programa
   ' ======================================================================
   
    ' $INCLUDE: 'EDITAL.BAS'
      ' DIM SHARED V1%(2000),V2%(2000),V3%(2000)
      ON ERROR GOTO ErrorHandler
      WIDTH LPRINT 150                                     ' asigna impresor

      OPEN "EMPRESA.ARG" FOR RANDOM ACCESS READ WRITE SHARED AS #10 LEN=49
      FIELD#10,4AS NUM10$,5AS CVE10$,40AS TIT10$
      GET#10,1
      NUM$=NUM10$
      CVE$=CVE10$                                         ' clave
      TIT$=TIT10$                                         ' empresa

     GOSUB 350                                             ' VENTAS POR DIA
     CLOSE                                                 ' cierra archivos
     END

350                                                        ' VENTAS ANUALES
     COLOR 7,0
     CLS
     PR=6:PC=14:NR=06:NC=52:GOSUB 9980
     PR=8:PC=25:NR=03:NC=40:GOSUB 9981
     COLOR 15,7
        LOCATE 07,32:PRINT "CREAR ARCHIVO EMPRESA.ARG"
        LOCATE 09,16:PRINT "Licencia"
        LOCATE 10,16:PRINT "Clave"
        LOCATE 11,16:PRINT "Empresa"

        LOCATE 09,26:PRINT NUM$
        LOCATE 10,26:PRINT CVE$
        LOCATE 11,26:PRINT MID$(TIT$,1,40)
        ' LOCATE 20,2:PRINT "1":W$=INPUT$(1)

1000 ' MENSAJE$=" N£mero de licencia autorizada por Sierra. ESC=terminar":GOSUB 15710
     ' COLOR 16,15:LOCATE 24,45:PRINT "ESC";:LOCATE 23,2:PRINT ""
     IF NUM$=SPACE$(4) THEN S$="" ELSE S$=NUM$
     COLOR 15,1:W=9:Z=26:L=4:T=1:keypressed = edit(z,w,l,S$) ' LICENCIA
     IF KEYPRESSED=ESCAPE OR KEYPRESSED=UPARROW THEN RETURN
        NUM$=S$
        NUM$=STRING$(4-LEN(NUM$),"0")+NUM$
        COLOR 15,07:LOCATE 9,26:PRINT NUM$
        IF NUM$="0000" THEN GOSUB 7600:GOTO 1000

1010 ' MENSAJE$=" Clave de acceso al sistema.":GOSUB 15710
     IF CVE$=SPACE$(5) THEN S$="" ELSE S$=CVE$
     COLOR 15,1:W=10:Z=26:L=5:T=3:keypressed = edit(z,w,l,S$) ' CLAVE
     IF KEYPRESSED=ESCAPE OR KEYPRESSED=UPARROW THEN GOSUB 1011:GOTO 1000
        CVE$=S$:CVE$=CVE$+SPACE$(5-LEN(CVE$))
        GOSUB 1011:GOTO 1020
1011 COLOR 15,7:LOCATE 10,26:PRINT CVE$:RETURN

1020 ' MENSAJE$=" Nombre de la empresa autorizada.":GOSUB 15710
     IF TIT$=SPACE$(40) THEN S$="" ELSE S$=TIT$
     COLOR 15,1:W=11:Z=26:L=40:T=3:keypressed = edit(z,w,l,S$) ' EMPRESA
     IF KEYPRESSED=ESCAPE OR KEYPRESSED=UPARROW THEN GOSUB 1021:GOTO 1010
        TIT$=S$:TIT$=TIT$+SPACE$(40-LEN(TIT$))
        GOSUB 1021:GOTO 1030
1021 COLOR 15,7:LOCATE 11,26:PRINT TIT$:RETURN

1030 LSET NUM10$=NUM$                                      ' licencia
     LSET CVE10$=CVE$                                      ' clave
     LSET TIT10$=TIT$                                      ' empresa
     PUT#10,1
     BEEP
     LOCATE 14,2:PRINT ""
     RETURN

6999 ' $INCLUDE: 'R40GRL.BAS'

ErrorHandler:
      IF ERR=70 THEN LOCATE 24,01:COLOR 16,15:PRINT "pd...";:LOCATE 23,2:PRINT "":RESUME
      IF ERR=24 OR ERR=25 OR ERR=27 THEN GOSUB 7510:RESUME
      COLOR 16,15:LOCATE 24,01:PRINT "Error en los datos ";ERR;" Linea ";ERL;". Llame a SIERRA.";:LOCATE 23,2:PRINT "":W$=INPUT$(1):CLOSE:END
